# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_a8rvqf5rns/clone/recipe, last modified Wed Mar 29 12:15:06 2023
# ------------------------------------------------

package:
  name: libspatialite
  version: 4.3.0a
source:
  patches:
    - proj_api.patch
    - skip_failing_test.patch
  sha256: 88900030a4762904a7880273f292e5e8ca6b15b7c6c3fb88ffa9e67ee8a5a499
  url: http://archive.ubuntu.com/ubuntu/pool/universe/s/spatialite/spatialite_4.3.0a.orig.tar.gz
build:
  number: '23'
  run_exports:
    - libspatialite >=4.3.0a,<4.4.0a0
  string: hd1e8275_23
requirements:
  build:
    - autoconf 2.71 pl5340h6c40b1e_0
    - automake 1.16.5 pl5340hecd8cb5_1
    - cctools_osx-64 949.0.1 hc7db93f_25
    - clang 14.0.6 hecd8cb5_0
    - clang-14 14.0.6 default_h32c6d10_0
    - clang_osx-64 14.0.6 hb1e4b1b_0
    - clangxx 14.0.6 default_h32c6d10_0
    - clangxx_osx-64 14.0.6 hd8b9576_0
    - compiler-rt 14.0.6 hda8b6b8_0
    - compiler-rt_osx-64 14.0.6 h8d5cb93_0
    - gdbm 1.18 hdccc71a_4
    - ld64_osx-64 530 h70f3046_25
    - ldid 2.1.2 h2d21305_2
    - libclang-cpp14 14.0.6 default_h32c6d10_0
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.2 hecd8cb5_6
    - libiconv 1.16 hca72f7f_2
    - libllvm14 14.0.6 h91fad77_1
    - libtool 2.4.6 hcec6c5f_1009
    - llvm-tools 14.0.6 h91fad77_1
    - m4 1.4.18 h1de35cc_1
    - make 4.2.1 h3efe00b_1
    - ncurses 6.4 hcec6c5f_0
    - patch 2.7.6 h1de35cc_1001
    - perl 5.34.0 h435f0c2_2
    - pkg-config 0.29.2 h3efe00b_8
    - readline 8.2 hca72f7f_0
    - tapi 1000.10.8 ha1b3eb9_0
    - zlib 1.2.13 h4dc903c_0
  host:
    - freexl 1.0.6 h9ed2024_0
    - geos 3.8.0 hb1e8313_0
    - icu 58.2 h0a44026_3
    - libcxx 14.0.6 h9765a3e_0
    - libiconv 1.16 hca72f7f_2
    - libxml2 2.10.3 h930c0e2_0
    - ncurses 6.4 hcec6c5f_0
    - proj 6.2.1 hfd5b9e3_0
    - readline 8.2 hca72f7f_0
    - sqlite 3.41.1 h6c40b1e_0
    - xz 5.2.10 h6c40b1e_1
    - zlib 1.2.13 h4dc903c_0
  run:
    - freexl >=1.0.6,<2.0a0
    - geos >=3.8.0,<3.8.1.0a0
    - libcxx >=14.0.6
    - libiconv >=1.16,<2.0a0
    - libxml2 >=2.10,<2.11.0a0
    - libxml2 >=2.10.3,<2.11.0a0
    - proj >=6.2.1,<6.2.2.0a0
    - sqlite >=3.41.1,<4.0a0
    - zlib >=1.2.13,<1.3.0a0
about:
  desciption: 'SpatiaLite is an open source library intended to extend the SQLite
    core to

    support fully fledged Spatial SQL capabilities.

    SQLite is intrinsically simple and lightweight. It implemented as

    a single lightweight library implementing the full SQL engine

    standard SQL implementation: almost complete SQL-92.

    There is no complex client/server architecture.

    A whole database simply corresponds to a single monolithic file (no size limits)

    any DB-file can be safely exchanged across different platforms, because the

    internal architecture is universally portable no installation, no configuration.

    '
  dev_url: https://www.gaia-gis.it/fossil/libspatialite/dir?type=tree
  doc_url: https://www.gaia-gis.it/fossil/libspatialite/index
  home: https://www.gaia-gis.it/fossil/libspatialite/index
  license: LGPL-2.1-or-later
  license_family: LGPL
  license_file: COPYING
  summary: Extend the SQLite core to support fully fledged Spatial SQL capabilities
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: a84eb966-46f7-4aae-9057-ce911b77691f
  recipe-maintainers:
    - danclewley
    - gillins
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/libspatialite-feedstock.git
  sha: 36480d0f88068a077faeb5b9d6dee433435b7520
